Uploads an attachment to the expense request with the specified ID. The request should be a MIME multipart file upload request.

Request

PUT http:///api/v2/business/{businessId}/manager/{employeeId}/expense/{expenseRequestId}/attachment

Path parameters

Parameter name Value Description Additional
employeeId int32 Required
expenseRequestId int32 Required
businessId string Required

Query parameters

Parameter name Value Description Additional
fileName string

Form parameters

Parameter name Value Description Additional
file file

Response

The following HTTP status codes may be returned, optionally with a response resource.

Status code Description Resource
200 OK

OK

AttachmentModel
400 Bad Request

Bad Request

ProblemDetails
415 Unsupported Media Type

Unsupported Media Type

ProblemDetails